<template>
  <div>
    <v-tooltip top>
      <template v-slot:activator="{ on, attrs }">
        <v-img
          v-on="on"
          v-bind="attrs"
          max-width="24"
          max-height="24"
          :src="getLogoPath"
        ></v-img>
      </template>
      <span>{{ tenant }}</span>
    </v-tooltip>
  </div>
</template>
<script setup lang="ts">
/*
 * This file is Free Software under GNU Affero General Public License v >= 3.0
 * without warranty, see README.md and license for details.
 *
 * SPDX-License-Identifier: AGPL-3.0-or-later
 *
 * SPDX-FileCopyrightText: 2020 nic.at GmbH <https://nic.at>
 * Software-Engineering: 2020 Intevation GmbH <https://intevation.de>
 *
 * Author(s):
 * 2021, 2022 Fadi Abbud <fadi.abbud@intevation.de>
 */
import { useStore } from "@/store";
import { computed } from "vue";
const props = defineProps({
  tenant: String
});
const store = useStore();
const tenants = store.state.application.tenants.map(t => t.name);
const getLogoPath = computed(() => {
  let name = "";
  tenants.forEach(t => {
    if (t === props.tenant) {
      // Use the convention "logo-{constituencyName}.svg" In order to make
      // getting the icons saved on server dynamically
      name = "logo-" + t + ".svg";
    }
  });
  return "/resources/logo/" + name;
});
</script>
